%global project     clojure
%global groupId     org.clojure
%global artifactId  clojure
%global archivename %{project}-%{artifactId}

Name:           clojure
Epoch:          1
Version:        1.11.2
Release:        %mkrel 3
Summary:        A dynamic programming language that targets the Java Virtual Machine

Group:          Development/Java
License:        EPL-1.0
URL:            https://clojure.org/
Source0:        https://github.com/%{name}/%{name}/archive/%{name}-%{version}.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.clojure:core.specs.alpha)
BuildRequires:  mvn(org.clojure:spec.alpha)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
Requires:       javapackages-tools

%description 
Clojure is a dynamic programming language that targets the Java
Virtual Machine. It is designed to be a general-purpose language,
combining the approachability and interactive development of a
scripting language with an efficient and robust infrastructure for
multithreaded programming. Clojure is a compiled language - it
compiles directly to JVM bytecode, yet remains completely
dynamic. Every feature supported by Clojure is supported at
runtime. Clojure provides easy access to the Java frameworks, with
optional type hints and type inference, to ensure that calls to Java
can avoid reflection.

%prep
%setup -q -n %{archivename}-%{version}

%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :nexus-staging-maven-plugin

%build
%mvn_build -f -j

%install

%mvn_install

# startup script
%jpackage_script clojure.main "" "" clojure:clojure-spec-alpha:clojure-core-specs-alpha clojure false

%files -f .mfiles
%license epl-v10.html 
%doc changes.md readme.txt 
%{_bindir}/%{name}



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:1.11.2-3.mga10
+ Revision: 2223295
- Mageia 10 Mass Rebuild

* Thu May 23 2024 ns80 <ns80> 1:1.11.2-2.mga10
+ Revision: 2066472
- rebuild for java 21

* Tue Mar 26 2024 ns80 <ns80> 1:1.11.2-1.mga10
+ Revision: 2052219
- new version 1.11.2 for CVE-2024-22871 (mga#33012)

* Thu Aug 04 2022 neoclust <neoclust> 1:1.11.1-1.mga9
+ Revision: 1875285
- 1.11.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 08 2021 daviddavid <daviddavid> 1:1.10.3-1.mga9
+ Revision: 1700686
- new version: 1.10.3

* Mon Mar 01 2021 daviddavid <daviddavid> 1:1.10.2-1.mga9
+ Revision: 1694784
- Update to upstream release 1.10.2
- Add javapackages-tools dependency to fix wrapper script

* Thu Jan 14 2021 luigiwalser <luigiwalser> 1:1.10.1-3.mga8
+ Revision: 1671685
- rebuild for missing signature

* Fri Nov 13 2020 tv <tv> 1:1.10.1-2.mga8
+ Revision: 1645006
- Update to upstream release 1.10.1

* Sun Feb 16 2020 umeabot <umeabot> 1:1.8.0-2.mga8
+ Revision: 1534277
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 daviddavid <daviddavid> 1:1.8.0-1.mga8
+ Revision: 1448824
- new version: 1.8.0

* Thu Sep 20 2018 umeabot <umeabot> 1:1.7.0-2.mga7
+ Revision: 1277806
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1:1.7.0-1.mga7
+ Revision: 1220876
- new version: 1.7.0

* Tue Feb 09 2016 umeabot <umeabot> 1:1.6.0-2.mga6
+ Revision: 951482
- Mageia 6 Mass Rebuild

* Thu Jan 01 2015 pterjan <pterjan> 1:1.6.0-1.mga5
+ Revision: 807915
- Sync with Fedora 21 (update to 1.6.0)
- Restore
+ sander85 <sander85>
- Leaf package that depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.1-4.mga5
+ Revision: 749256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.1-3.mga5
+ Revision: 678430
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1:1.5.1-2.mga4
+ Revision: 544833
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 1:1.5.1-1.mga4
+ Revision: 500337
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1:1.5.0-0.RC1.2.mga3
+ Revision: 347887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1:1.5.0-0.RC1.1.mga3
+ Revision: 341849
- New version

* Thu Oct 27 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 158510
- imported package clojure

